File vokoscreenNG.spec of Package vokoscreenNG

#
# spec file for package vokoscreenNG
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           vokoscreenNG
Version:        3.8.0
Release:        0
Summary:        Screencasting
License:        GPL-2.0-only
Group:          Productivity/Multimedia/CD/Record
URL:            http://linuxecke.volkoh.de/vokoscreen/vokoscreen.html
Source:         https://github.com/vkohaupt/vokoscreenNG/archive/%{version}/%{name}-%{version}.tar.gz
# PATCH-FIX-UPSTREAM - Add AppStream metadata - PR#94
Patch0:         add_appstream_metadata.patch
BuildRequires:  alsa-devel
BuildRequires:  libX11-devel
BuildRequires:  libXrandr-devel
BuildRequires:  libqt5-linguist
BuildRequires:  libv4l-devel
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(Qt5Core) >= 5.14.0
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(Qt5Multimedia)
BuildRequires:  pkgconfig(gstreamer-1.0) >= 1.12.5
BuildRequires:  pkgconfig(gstreamer-video-1.0)
%if 0%{?sle_version} && 0%{?sle_version} < 150300
Requires:       config(pulseaudio)
%else
Requires:       pulseaudio-daemon
%endif
Requires:       gstreamer-plugins-base
Requires:       gstreamer-plugins-good
Requires:       gstreamer-plugins-bad
Requires:       gstreamer-plugins-ugly
Requires:       gstreamer-plugins-libav
Requires:       gstreamer-plugins-vaapi
Recommends:     intel-vaapi-driver
# from packman
Recommends:       gstreamer-plugins-bad-orig-addon
Recommends:       gstreamer-plugins-ugly-orig-addon
#
Provides:       vokoscreen = %{version}
Obsoletes:      vokoscreen < %{version}

%description
vokoscreen is an easy to use screencast creator to record educational
videos, live recordings of browser, installation, videoconferences, etc.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

%build
pushd src
%qmake5 -recursive \
  PREFIX=%{_prefix} \
  vokoscreenNG.pro
%make_jobs
popd

%install
pushd src
install -D -m 755 %{name} %{buildroot}%{_bindir}/%{name}
install -D -m 644 applications/%{name}.png %{buildroot}%{_datadir}/pixmaps/%{name}.png
install -D -m 644 applications/%{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop
popd

%files
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop

%changelog
openSUSE Build Service is sponsored by